1 Reply Latest reply on Nov 10, 2019 12:02 AM by scott28tt

    Installing OVFtool 4.3.0 U3 on Fedora 31

    dan_linder Novice

      I'm trying to install the OVFtool (version 4.3.0 U3) on my Fedora 31 workstation, but the install bundle file fails with this error:

       

      sudo ./VMware-ovftool-4.3.0-13981069-lin.x86_64.bundle

      Extracting VMware Installer...done.

      Traceback (most recent call last):

        File "/usr/lib/vmware-installer/3.0.0/vmware-installer.py", line 19, in <module>

          from vmis.core.common import SYSTEM_BOOTSTRAP, SYSTEM_DATABASE, ParseExceptionTuple

        File "/usr/lib/vmware-installer/3.0.0/vmis/core/common.py", line 14, in <module>

          from vmis.core import install

        File "/usr/lib/vmware-installer/3.0.0/vmis/core/install.py", line 16, in <module>

          from vmis.core.component import ComponentError, ComponentTypes

        File "/usr/lib/vmware-installer/3.0.0/vmis/core/component.py", line 14, in <module>

          from gzip import GzipFile

        File "/usr/lib/vmware-installer/3.0.0/python/lib/gzip.py", line 9, in <module>

          import zlib

      ModuleNotFoundError: No module named 'zlib'

       

      From research I've seen various notes that some packages (ncurses-compat-libs python3-gzipstream python3-zipstream zlib-devel) might be missing, but these are all installed and up-to-date.

       

      Any further suggestions?

       

      I suspect that it might be Python-3 related (this has Python 3.7.5), but as Python 2 is end-of-life in January I would have expected the 4.3.0-U3 release to be updated already.